For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet all entities
      • POSTCreate an entity
      • GETGet the current entity
      • PATCHUpdate the current entity
      • GETGet an entity
      • PATCHUpdate an entity
      • PUTUpload an entity logo
      • DELDelete an entity's logo
      • GETGet entity metadata
      • PUTReplace entity metadata
      • GETGet entity settings
      • PATCHUpdate entity settings
      • GETGet the next document numbers for an entity
      • GETGet an entity of this user
      • PATCHUpdate an entity of this user
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonEntities

Upload an entity logo

PUT
/entities/:entity_id/logo
PUT
/v1/entities/:entity_id/logo
$curl -X PUT https://api.sandbox.monite.com/v1/entities/ea837e28-509b-4b6a-a600-d54b6aa0b1f5/logo \
> -H "x-monite-version: 2024-01-31" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: multipart/form-data" \
> -F file=@<file1>
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "file_type": "payables",
5 "md5": "31d1a2dd1ad3dfc39be849d70a68dac0",
6 "mimetype": "application/pdf",
7 "name": "invoice.pdf",
8 "region": "eu-central-1",
9 "size": 24381,
10 "url": "https://bucketname.s3.amazonaws.com/12345/67890.pdf",
11 "pages": [
12 {
13 "id": "id",
14 "mimetype": "image/png",
15 "number": 0,
16 "size": 21972,
17 "url": "https://bucket.s3.amazonaws.com/123/456.png"
18 }
19 ],
20 "previews": [
21 {
22 "height": 400,
23 "url": "https://bucketname.s3.amazonaws.com/1/2/3.png",
24 "width": 200
25 }
26 ]
27}
Entity logo can be PNG, JPG, or GIF, up to 10 MB in size. The logo is used, for example, in PDF documents created by this entity.
Was this page helpful?
Previous

Delete an entity's logo

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entity_idstringRequired
A unique ID to specify the entity.

Headers

x-monite-versionstringRequired

Request

This endpoint expects a multipart form containing a file.
filefileRequired

Response

Successful Response
idstringformat: "uuid"
A unique ID of this file.
created_atdatetime

UTC date and time when this file was uploaded to Monite. Timestamps follow the ISO 8601 format.

file_typestring
The type of the business object associated with this file.
md5string
The MD5 hash of the file.
mimetypestring

The file’s media type.

namestring<=512 characters

The original file name (if available).

regionstring
Geographical region of the data center where the file is stored.
sizeinteger>=0
The file size in bytes.
urlstring
The URL to download the file.
pageslist of objects
If the file is a PDF document, this property contains individual pages extracted from the file. Otherwise, an empty array.
previewslist of objects
Preview images generated for this file. There can be multiple images with different sizes.

Errors

400
Put Entities ID Logo Request Bad Request Error
422
Put Entities ID Logo Request Unprocessable Entity Error
500
Put Entities ID Logo Request Internal Server Error